Puppet 2.6.2 Released!

And we’re back with another exiting release in the 2.6.x branch - 2.6.2. This is a maintenance release in the 2.6.x branch and it contains bug fixes, maintenance and a small number of features. The release is available for download here.

RELEASE NOTES

  • User type now manages password age

We’ve add a new feature to user providers manages_password_age, along with the new properties password_min_age and password_max_age to the user type. These represent password minimum and maximum age in days. The useradd and user_role_add providers now support these new properties.

  • User type now manages user expiry

We’ve add a new feature to user providers, manages_expiry along with a new property, expiry. The expiry property is specified in the form of YYYY-MM-DD and sets an expiration date for an account. An example of both:

user { "james":
  password_min_age => '10',
  password_max_age => '30',
  expiry => '2010-09-30',
  ..
  ensure => present,
}
comments powered by Disqus